> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard

> Provide a customers' details so we can tell you if we could show them a dashboard (or offer). We'll provide the URL to the web-view for their dashboard.

Provide their full details (name, email, customerId) if you want us to optionally register them if they're not yet a referrer.

For information on how to correctly generate the Authentication Token, please see the documentation: https://docs.mention-me.com/api-reference/entry-point-api/authentication-token



## OpenAPI

````yaml /openapi/entrypoint_api.oas.json post /api/entry-point/{version}/dashboard
openapi: 3.0.0
info:
  title: Entry Point API
  description: >-
    Add links or buttons to your App which take customers into a hosted web view
    to allow them to refer their friends or become referred.
  termsOfService: https://mention-me.com/help/tnc_f/site
  version: v2
servers:
  - url: https://mention-me.com
    description: Production
  - url: https://demo.mention-me.com
    description: Demo
security: []
tags:
  - name: Referrer
  - name: Referee
  - name: Dashboard
paths:
  /api/entry-point/{version}/dashboard:
    post:
      tags:
        - Dashboard
      summary: Get dashboard
      description: >-
        Provide a customers' details so we can tell you if we could show them a
        dashboard (or offer). We'll provide the URL to the web-view for their
        dashboard.


        Provide their full details (name, email, customerId) if you want us to
        optionally register them if they're not yet a referrer.


        For information on how to correctly generate the Authentication Token,
        please see the documentation:
        https://docs.mention-me.com/api-reference/entry-point-api/authentication-token
      operationId: post_api_entry_point_dashboard
      parameters:
        - name: version
          in: path
          description: Version
          required: true
          schema:
            type: string
            pattern: v2|v1
            enum:
              - v2
              - v1
          example: v2
      requestBody:
        description: Information to retrieve a referrer dashboard entry point URL
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EntryPointForDashboardType'
      responses:
        '200':
          description: Returned when successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntryPointLink'
        '404':
          description: >-
            Returned when this specific integration point has been disabled, or
            we are unable to serve a dashboard for this customer
        '422':
          description: >-
            The data presented contains validation errors, please correct and
            try again
        '500':
          description: Internal server error, unable to complete the request
components:
  schemas:
    EntryPointForDashboardType:
      required:
        - customer
        - request
      properties:
        customer:
          title: Customer
          description: Information about the referrer
          oneOf:
            - $ref: '#/components/schemas/CustomerDetails'
        request:
          title: Request
          description: Information about the request, including authentication
          oneOf:
            - $ref: '#/components/schemas/RequestAuthentication'
      type: object
    EntryPointLink:
      properties:
        url:
          title: The url to include in the share
          type: string
        defaultCallToAction:
          title: The default message to include as the CTA
          type: string
          default: ''
      type: object
    CustomerDetails:
      required:
        - emailAddress
        - firstname
        - surname
      properties:
        emailAddress:
          description: Customer email address
          type: string
          example: jane.doe@example.com
        title:
          description: Customer title such as Mr, Miss, Dr or Sir
          type: string
          example: ''
        firstname:
          description: Customer firstname
          type: string
          example: ''
        surname:
          description: Customer surname
          type: string
          example: ''
        uniqueIdentifier:
          description: Your unique identifier for this customer e.g. CustomerId
          type: string
          example: ''
        segment:
          description: >-
            Customer segment - a string containing segment data about this
            customer, e.g. vip or employee. You can concatenate multiple
            segments together if you wish using hyphens.
          type: string
          example: ''
        customField:
          description: >-
            Custom field - a string containing custom data about this customer,
            e.g. SEGMENT001 or Package B
          type: string
          example: ''
        visitorId:
          description: >-
            The visitor ID from the MentionMe Browser Fingerprint, used to link
            customer journeys. This should be a SHA256 hash (browserId +
            clientIP).
          type: string
          example: ''
      type: object
    RequestAuthentication:
      required:
        - partnerCode
        - situation
        - authenticationToken
        - localeCode
      properties:
        partnerCode:
          description: Your partner code, used to link to your users and offers
          type: string
          example: '[YOUR-PARTNER-CODE]'
        situation:
          description: >-
            Situation - a string representing where in the application you are
            making this request
          type: string
          example: mobile-app
        segment:
          description: Segment - the segment the customer belongs to
          type: string
          example: vip
        localeCode:
          description: >-
            Locale code - ISO standard locale code (e.g. en_GB) for the locale
            you expect the content to be in
          type: string
          example: en_GB
        ipAddress:
          description: >-
            IP address of the customer connection. If you're making a request on
            behalf of a customer, pass their IP address here. If the customer
            will connect directly, leave this empty and we will retrieve this
            from their request.
          type: string
          example: 127.0.0.1
        userDeviceIdentifier:
          description: >-
            User Device Identifier should be a unique reference to this device.
            We use this for preventing gaming. Multiple users with the same
            Device Identifier will be treated as the same individual and may be
            flagged for gaming. On Android the UniqueID could be an InstanceID
            or GUID. On iPhone the UniqueID should be generated by
            identifierForVendor.
          type: string
          example: ''
        deviceType:
          description: >-
            Device type - your description of the device the user is using. We
            use this for performance and conversion optimisation.
          type: string
          example: ''
        appName:
          description: Your application name. Used for reporting.
          type: string
          example: ''
        appVersion:
          description: >-
            Your application version reference. Used for reporting and
            troubleshooting.
          type: string
          example: e.g. MyApp/v1.73
        authenticationToken:
          description: >-
            This is a signature using a salted hash of the email address of the
            customer with a secret key, and validates the authenticity of the
            request.


            For information on how to correctly generate this token, please see
            the documentation:
            https://docs.mention-me.com/api-reference/entry-point-api/authentication-token
          type: string
          example: ''
      type: object

````